Package: jekyll / 3.9.0+dfsg-3

Metadata

Package Version Patches format
jekyll 3.9.0+dfsg-3 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
0001 Replace git execution from gemspec.patch | (download)

jekyll.gemspec | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 replace git execution from gemspec

Signed-off-by: Youhei SASAKI <uwabami@gfd-dennou.org>
0002 Drop minitest profile.patch | (download)

Gemfile | 1 0 + 1 - 0 !
test/helper.rb | 1 0 + 1 - 0 !
2 files changed, 2 deletions(-)

 drop minitest-profile

Signed-off-by: Youhei SASAKI <uwabami@gfd-dennou.org>
0003 Remove relative LOAD_PATH.patch | (download)

exe/jekyll | 2 0 + 2 - 0 !
test/helper.rb | 2 1 + 1 - 0 !
2 files changed, 1 insertion(+), 3 deletions(-)

 remove relative load_path

Signed-off-by: Youhei SASAKI <uwabami@gfd-dennou.org>
0004_skip_test_autopkgtest.patch | (download)

test/test_site.rb | 2 2 + 0 - 0 !
1 file changed, 2 insertions(+)

 skip a test failing in autopkgtest

0016 skip test requiring network access.patch | (download)

test/test_utils.rb | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 the builders don't have internet access; skip the test needing it

Bug-Debian: https://bugs.debian.org/907322
0017 allow jekyll to run with ruby i18n 1.x.patch | (download)

jekyll.gemspec | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 allow jekyll to run with ruby-i18n 1.x

Bug-Debian: https://bugs.debian.org/948215
0018 fix test configuration autopkgtest.patch | (download)

test/test_configuration.rb | 4 3 + 1 - 0 !
test/test_new_command.rb | 6 4 + 2 - 0 !
2 files changed, 7 insertions(+), 3 deletions(-)

 fix autopkgtest failure

https://lists.debian.org/debian-ruby/2020/01/msg00005.html

0019 Compare lists ignoring the order.patch | (download)

test/test_utils.rb | 8 4 + 4 - 0 !
1 file changed, 4 insertions(+), 4 deletions(-)

 compare lists ignoring the order

Fix reprotest run of Jekyll:
https://lists.debian.org/debian-ruby/2020/01/msg00026.html

0020 Skip test theme tests.patch | (download)

test/test_layout_reader.rb | 1 1 + 0 - 0 !
1 file changed, 1 insertion(+)

 skip test-theme tests

This test fails. All other test-theme related tests have already been disabled.

0022 escape regex characters in match.patch | (download)

test/test_convertible.rb | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 escape regex characters in paths to match

Our paths contains the + sign, which if not escaped changes the match regex
and the tests fail.

0023 drop custom profile simplecov.patch | (download)

test/helper.rb | 7 0 + 7 - 0 !
1 file changed, 7 deletions(-)

 drop custom profile simplecov

This custom profile somehow interfers with the tests and leads to errors.
Worse the errors are not shown. So drop it.

0024 use platforms in default gemfile.patch | (download)

lib/jekyll/commands/new.rb | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 replace :install_if by :platforms

With :install_if bundler will check for the gems even if they are not required
on our platform. To prevent users from having this issue use :platforms
instead: https://lists.debian.org/debian-ruby/2020/04/msg00062.html

0025 skip plugin tests requiring bundler.patch | (download)

test/test_plugin_manager.rb | 1 1 + 0 - 0 !
1 file changed, 1 insertion(+)

 skip tests requiring bundler

0026 disable kramdown syntax coderay tests.patch | (download)

test/test_kramdown.rb | 3 3 + 0 - 0 !
1 file changed, 3 insertions(+)

 kramdown-syntax-coderay is not packaged

0027 Fix test for pygments 2.7.1.patch | (download)

test/test_tags.rb | 3 1 + 2 - 0 !
1 file changed, 1 insertion(+), 2 deletions(-)

 fix test for pygments 2.7.1

0028 Fix test for rouge 3.22.patch | (download)

test/test_tags.rb | 9 5 + 4 - 0 !
1 file changed, 5 insertions(+), 4 deletions(-)

 fix test for rouge 3.22